public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Yixun Lan" <dlan@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/utfcpp/
Date: Sat, 29 Jan 2022 15:20:10 +0000 (UTC)	[thread overview]
Message-ID: <1643469549.14b3390d420f48c6f858acbf21f5db51ec2ee6a9.dlan@gentoo> (raw)

commit:     14b3390d420f48c6f858acbf21f5db51ec2ee6a9
Author:     Arfrever Frehtes Taifersar Arahesis <Arfrever <AT> Apache <DOT> Org>
AuthorDate: Sat Jan 22 01:00:00 2022 +0000
Commit:     Yixun Lan <dlan <AT> gentoo <DOT> org>
CommitDate: Sat Jan 29 15:19:09 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=14b3390d

dev-libs/utfcpp: Version bump (3.2.1).

Closes: https://bugs.gentoo.org/830427
Signed-off-by: Arfrever Frehtes Taifersar Arahesis <Arfrever <AT> Apache.Org>
Signed-off-by: Yixun Lan <dlan <AT> gentoo.org>

 dev-libs/utfcpp/Manifest            |  2 ++
 dev-libs/utfcpp/utfcpp-3.2.1.ebuild | 64 +++++++++++++++++++++++++++++++++++++
 2 files changed, 66 insertions(+)

diff --git a/dev-libs/utfcpp/Manifest b/dev-libs/utfcpp/Manifest
index 3055ba566932..bb0bc1a295d6 100644
--- a/dev-libs/utfcpp/Manifest
+++ b/dev-libs/utfcpp/Manifest
@@ -1,3 +1,5 @@
+DIST ftest-20211106174116.tar.gz 3232 BLAKE2B 9a2184e82a19465333600b7c31de9a51e6716a4099f23145d93c967636da6539a0e71bfdd082507bf19a440df1199a1abf6f528b3957391f8b2a5c3e4dfb26ec SHA512 d92d3a3abd4f7b35971bfe7d74e1b822931818f60149a56ad29dd3238300ad71de1989fedc602a44a9c1a253da7bce758adf8d5b6da63ca6f322fb06dcefc98a
 DIST utfcpp-3.1.1.tar.gz 26374 BLAKE2B 93ad55c113c922e0105b509adf8dc1505e625bfeed0c60dabe7243ec288e3dd13b79b9382af2fff6daf780c5ebf9da32a492263d4998204222c1e446d16f4473 SHA512 720e2eba5c04f0bc4903a287138149a9cd432bc68bb163fe36b2e0d26d8bf616b4665f389b4a9c97af6ae7869e78973d97db976a4745512a241eebf774608997
 DIST utfcpp-3.1.2.tar.gz 26388 BLAKE2B f0ebf7f054c488259d2a409b2c5201b73e928901cf337cdc2a99a2f64deaf431ee60328b3b61e134d3cd49428eb0c921057ea248269029ef2838ed72dd8af7d7 SHA512 d43df19d9e8652291f1301a326ec0d592bad43d6ecf9086947037f0ae0c1e70c2d96082c48066639e2b7c57c0ea0e4782d6b215d017cf96a4c73ff3a15feec75
 DIST utfcpp-3.1.tar.gz 25871 BLAKE2B 6bafb933b777e842375b3dc6b1b5bc41efb0e9f40bbd33ccbbaf07b57a28c4e485d596725297fc2de83c23fa3c66872519883727714d236f4a37e07ed4825fc9 SHA512 826ac7aa61215ac2144fa3f5edc7f291c3dd25dc69b0c82526840f4651f822515ec262915e1117d975e5c5dd729f6166806a5d397262f59a2b323eb7009671f5
+DIST utfcpp-3.2.1.tar.gz 27377 BLAKE2B 27c4becfa7e1f5e8b63ee0e03b9f66cf5d6743cff3706222dde6e21c3feb51897eddd7dcaeaaacc66513fdb209d5be392e83ba22ab7a7d848bdf9721577d6444 SHA512 5798487f12b1bc55d3e06aed38f7604271ca3402963efcf85d181fd590d8a088d21e961e77698e60dc2cdae8cf4506645903442c45fd328201752d9589180e0d

diff --git a/dev-libs/utfcpp/utfcpp-3.2.1.ebuild b/dev-libs/utfcpp/utfcpp-3.2.1.ebuild
new file mode 100644
index 000000000000..91f09205a24c
--- /dev/null
+++ b/dev-libs/utfcpp/utfcpp-3.2.1.ebuild
@@ -0,0 +1,64 @@
+# Copyright 2015-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="8"
+
+inherit cmake
+
+if [[ "${PV}" == "9999" ]]; then
+	inherit git-r3
+
+	EGIT_REPO_URI="https://github.com/nemtrif/utfcpp"
+	EGIT_SUBMODULES=()
+else
+	FTEST_GIT_REVISION="1e14b77c2ab8489386fc7046a8bced696c0fc4d6"
+	FTEST_DATE="20211106174116"
+fi
+
+DESCRIPTION="UTF-8 C++ library"
+HOMEPAGE="https://github.com/nemtrif/utfcpp"
+if [[ "${PV}" == "9999" ]]; then
+	SRC_URI=""
+else
+	SRC_URI="https://github.com/nemtrif/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz
+		test? ( https://github.com/nemtrif/ftest/archive/${FTEST_GIT_REVISION}.tar.gz -> ftest-${FTEST_DATE}.tar.gz )"
+fi
+
+LICENSE="Boost-1.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND=""
+DEPEND=""
+RDEPEND=""
+
+src_unpack() {
+	if [[ "${PV}" == "9999" ]]; then
+		git-r3_src_unpack
+
+		if use test; then
+			git-r3_fetch https://github.com/nemtrif/ftest refs/heads/master
+			git-r3_checkout https://github.com/nemtrif/ftest "${WORKDIR}/ftest"
+		fi
+	else
+		default
+
+		if use test; then
+			mv ftest-${FTEST_GIT_REVISION} ftest || die
+		fi
+	fi
+
+	rmdir "${S}/extern/ftest" || die
+	ln -s ../../ftest "${S}/extern/ftest" || die
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DUTF8_SAMPLES=OFF
+		-DUTF8_TESTS=$(usex test ON OFF)
+	)
+
+	cmake_src_configure
+}


             reply	other threads:[~2022-01-29 15:20 UTC|newest]

Thread overview: 46+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-01-29 15:20 Yixun Lan [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-03-07 23:46 [gentoo-commits] repo/gentoo:master commit in: dev-libs/utfcpp/ Andreas Sturmlechner
2024-03-07 23:44 Andreas Sturmlechner
2024-02-28 15:23 Andreas Sturmlechner
2024-02-28 15:21 Andreas Sturmlechner
2023-09-27 16:44 WANG Xuerui
2022-08-18  2:53 Matt Turner
2022-07-29  8:01 Agostino Sarubbo
2022-07-29  7:59 Agostino Sarubbo
2022-07-28 23:06 Sam James
2022-07-28  7:06 Agostino Sarubbo
2022-07-28  6:30 Sam James
2022-07-28  6:30 Sam James
2022-07-28  6:30 Sam James
2022-03-09  8:59 Jakov Smolić
2022-02-28  7:06 Yixun Lan
2022-01-29 15:20 Yixun Lan
2022-01-29 15:20 Yixun Lan
2022-01-02 19:47 Arthur Zamarin
2022-01-02 19:07 Arthur Zamarin
2022-01-02  9:59 Sam James
2022-01-02  5:52 Sam James
2022-01-02  5:52 Sam James
2022-01-02  5:52 Sam James
2021-03-28  7:14 Sam James
2020-11-22 19:32 Mike Gilbert
2020-11-22 19:32 Mike Gilbert
2020-11-22 19:32 Mike Gilbert
2020-02-08 12:50 Sergei Trofimovich
2020-01-17 19:09 Mike Gilbert
2019-12-31 18:08 Aaron Bauman
2019-12-31  8:18 Agostino Sarubbo
2019-12-31  8:15 Agostino Sarubbo
2019-12-06 20:25 Mike Gilbert
2019-09-26  6:52 Sergei Trofimovich
2019-08-30 18:39 Sergei Trofimovich
2019-08-18  3:06 Aaron Bauman
2019-08-16 17:03 Mike Gilbert
2019-08-09 18:39 Mike Gilbert
2019-08-09 18:39 Mike Gilbert
2019-08-09 18:39 Mike Gilbert
2019-07-21  8:25 Sergei Trofimovich
2019-07-16 18:19 Andreas Sturmlechner
2019-02-17 17:40 Sergei Trofimovich
2016-08-07  8:02 Pacho Ramos
2016-01-15  9:03 Agostino Sarubbo

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1643469549.14b3390d420f48c6f858acbf21f5db51ec2ee6a9.dlan@gentoo \
    --to=dlan@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox